Bug 977752 - ticket-monster cordova ios warning during build
ticket-monster cordova ios warning during build
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TicketMonster (Show other bugs)
2.3.0
Unspecified Mac OS
unspecified Severity low
: ---
: 2.4.0
Assigned To: Pete Muir
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 05:17 EDT by Tolis Emmanouilidis
Modified: 2014-03-03 19:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
The AppDelegate.m file contains the useSplashScreen setting, which is deprecated in Apache Cordova 2.5.0. Consequently, the following warning appears during the build of TicketMonster Cordova on iOS devices: Warning: 'useSplashScreen' is deprecated To work around the issue, comment out the line containing the useSplashScreen setting in the AppDelegate.m file. As a result of the workaround, the warning is not displayed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 09:24:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JDF-390 Minor Resolved ticket-monster cordova ios warning during build 2013-10-10 07:23:56 EDT
JBoss Issue Tracker WFK2-54 Major Open Ticket Monster : Cordova ios warning during build 2013-10-10 07:23:56 EDT

  None (edit)
Description Tolis Emmanouilidis 2013-06-25 05:17:45 EDT
Description of problem:
A warning appears during the build procedure of the ticket-monster cordova on iOS. More specifically, the useSplashScreen setting is deprecated as of Cordova 2.5.0

Version-Release number of selected component (if applicable):


How reproducible:
Build the ticket-monster cordova in IOS

Steps to Reproduce:
1. Import the project in XCode
2. Build the project

Actual results:
Warning: 'useSplashScreen' is deprecated 

Expected results:
Build without warnings

Additional info:
Workaround: comment the useSplashScreen line in AppDelegate.m
Comment 1 JBoss JIRA Server 2013-06-25 08:04:49 EDT
Vineet Reynolds <vineet.reynolds@gmail.com> updated the status of jira JDF-390 to Resolved
Comment 2 JBoss JIRA Server 2013-06-25 08:04:49 EDT
Vineet Reynolds <vineet.reynolds@gmail.com> made a comment on jira JDF-390

Cherry-picked pulled request and pushed upstream: https://github.com/jboss-jdf/ticket-monster/commit/45d600b0ef1a948f678d11a8652f40e2a97e68d5
Comment 3 Pete Muir 2013-07-18 09:24:52 EDT
Closing issue for Vineet
Comment 4 JBoss JIRA Server 2013-07-29 11:49:17 EDT
Vineet Reynolds <vineet.reynolds@gmail.com> made a comment on jira WFK2-54

Proposing for release.

Note You need to log in before you can comment on or make changes to this bug.